## org.apache.catalina.deploy
Class ResourceParams

    java.lang.Object
      |
      +--org.apache.catalina.deploy.ResourceParams

public final class ResourceParams
extends java.lang.Object

Representation of additional parameters which will be used to initialize external resources defined in the web application deployment descriptor.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:10 $
Author:
  Remy Maucherat

Constructor Summary
`ResourceParams()`

Method Summary
`void` `addParameter(java.lang.String name, java.lang.String value)`
`java.lang.String` `getName()`
`java.util.Hashtable` `getParameters()`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceParams

    public ResourceParams()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String value)

### getParameters

    public java.util.Hashtable getParameters()

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.